import { OnDestroy, OnChanges, QueryList, SimpleChanges, ChangeDetectorRef } from "@angular/core";
import { Observable } from "rxjs";
import { HttpHeaders, HttpParams } from "@angular/common/http";
import { MatFileUploadQueueService } from "./mat-file-upload-queue.service";
import { MatFileUploadComponent } from "../mat-file-upload/mat-file-upload.component";
export declare class MatFileUploadQueueComponent implements OnChanges, OnDestroy {
    private matFileUploadQueueService;
    private changeDetectorRef;
    fileUploads: QueryList<MatFileUploadComponent>;
    /** Subscription to remove changes in files. */
    private _fileRemoveSubscription;
    /** Subscription to changes in the files. */
    private _changeSubscription;
    /** Combined stream of all of the file upload remove change events. */
    readonly fileUploadRemoveEvents: Observable<MatFileUploadComponent>;
    files: Array<any>;
    ngOnChanges(changes: SimpleChanges): void;
    constructor(matFileUploadQueueService: MatFileUploadQueueService, changeDetectorRef: ChangeDetectorRef);
    httpUrl: string;
    httpRequestHeaders: HttpHeaders | {
        [header: string]: string | string[];
    };
    httpRequestParams: HttpParams | {
        [param: string]: string | string[];
    };
    fileAlias: string;
    uploadAllColor: string;
    uploadAllLabel: string;
    removeAllColor: string;
    removeAllLabel: string;
    ngAfterViewInit(): void;
    private _listenTofileRemoved;
    add(file: any): void;
    uploadAll(): void;
    removeAll(): void;
    ngOnDestroy(): void;
}
